Subject: Adding machine types to the kernel tree...

From: Jakob Viketoft <[email-masked]>
Date: Thu, 03 Mar 2005 12:46:12 +0100

Hi!

Are there any certain policys or religious issues about adding machine 
types to the (ppc40x) kernel tree, and who's responsible for kicking 
stuff like this up the main tree?

Specifically, I would like to replace the PowerPC405 support for the 
Xilinx ML 300 (development board) with generic Xilinx Virtex-II Pro and 
Virtex4 support (FPGAs). In my opinion, the end target isn't the 
development boards, but the custom configuration it all will run on in 
the end, and so things would benefit from a more general support. Do 
anyone have any insightful views/opinions on this or comments of any kind?

Clearly, there seem to be some demand for this lately according to 
traffic on the list...

Cheers!

	/Jakob